Subject: FW: Maritime ISR Conference 2025- Official Invitation
From: Kliimaministeerium info <[email-masked]>
To: KLIM KIRKE <[email-masked]>
Date: Thu, 21 Aug 2025 08:29:56 +0300

From: Jamal Busari <[email-masked]>
Sent: Wednesday, August 20, 2025 1:02 PM
To: Kliimaministeerium info <[email-masked]>
Subject: RE: Maritime ISR Conference 2025- Official Invitation

Good morning,

I wondered if you could help me.

I’m coordinating the audience for our Maritime ISR Conference 2025, hosted by Defence iQ and taking place 28th – 29th October 2025 at the Copthorne Tara Hotel, London, United Kingdom.

I’m pleased to offer an official invitation for representatives from the Republic of Estonia Ministry of Climate to attend the full two-day conference as conference guests. This event brings together senior leaders, military personnel, government officials, and industry experts to explore the evolving landscape of maritime intelligence, surveillance, and reconnaissance (ISR).

There is no registration fee for representatives from your organisation, we are keen to have your perspectives in the room! I have attached a formal invitation letter and the conference agenda and below is some information about the conference. Please do let me know if you are able to assist me further. I look forward to hearing your response.

Maritime ISR Conference – 28th – 29th October 2025
The Maritime ISR Conference is the best event dedicated to addressing the full spectrum of challenges within the maritime operating ecosystem. As the maritime domain becomes increasingly complex, the integration of agile and innovative ISR technologies is more critical than ever to maintain strategic advantage and operational superiority.

This year’s programme will explore how cutting-edge ISR solutions are being designed, developed, and deployed to meet the demands of tomorrow’s maritime environment. We’ve already confirmed attendees from the Royal Navy, NATO, UK Hydrographic Office, US Navy, and more!

2025 Speaker Highlights

Vice Admiral Doug Perry – Commander Joint Force Command Norfolk, Commander, U.S. 2nd Fleet, Director Combined Joint Operations from the Sea Centre of Excellence, US Navy

Brigadier John Creel – Commander, NATO ISR Force

Christy Monaco – Chief Operating Officer, The Open Geospatial Consortium

Jeremy Churcher – Head of Defence, UK Hydrographic Office

Dr. Chris Heagney – NAVAIR Fleet/Force Advisor, Southern Command & 4th Fleet, US Navy

Commander Mohummed ‘Cas’ Koheeallee – UAS Programmes, Navy Develop Director, Carrier Strike & Maritime Aviation, Royal Navy

Greg Ivey – Head of ISR Land Maritime, Defence Investment Division, NATO

Full speaker lineup in the attached conference agenda.

Ready to register?

I coordinate the complimentary Military & Government audience and I’d be keen to extend up to ten complimentary passes for you and your team. Please complete the below registration form and I’ll follow up with your receipt confirmation and details on the hotel/venue.

COMPLIMENTARY GUEST REGISTRATION FORM:

*This information will go on your conference badge

*First Name – Last Name:

*Rank ( & OF-)/Civ Rank (GS/Band/NATO Grade or Equivalent if not appicable):

*Job Title:

*Organisation - Department:

Phone Number:

Address:

Email Address:

Day(s) Attending

28th – 29th October

By submitting this information you agree for your details to be shared with event sponsors. Read our privacy policy.
By responding to this email, you agree that the information provided in this email is complete & correct. You understand & accept the terms & conditions that make up this agreement : http://www.iqpc.com/terms

Please fill out and return to [email-masked]

*Complimentary passes are only available for Active Military & Government personnel. Only a select number of complimentary passes are available.

Kind Regards,

Jamal Busari
VIP Military Liaison | Defence iQ

__________________________________________________________________________________

Tel: +44 20 7368 9825

Email : [email-masked] | Mail: IQPC Ltd, 129 Wilton Road, London, United Kingdom, SW1V 1JZ

http://www.iqpc.com/terms

We respect your right to privacy. Read our privacy policy.
Stay in control and manage your contact preferences, or unsubscribe from direct marketing.

P Please consider the environment before printing this email

---

Kiri on saadetud väljastpoolt valitsemisala.  Ärge avage kirjaga kaasa tulnud linke või manuseid enne, kui olete saatja õigsuses ja sisu turvalisuses kindel.